FieldEx Developer
developer notes

Get All Customers

The CustomerGetAll API allows you to retrieve all existing customer records. The request body includes all the relevant search queries.

Method Endpoint
GET {{endpoint}}/api/ext/customers

Header

Key Value
Content-Type application/json
Authorization Bearer {{token}}

Filter Fields

Parameter Type Example Length Required Description
page Number 0 true Specifies the page number
perPage Number 25 true Specifies the number of Customers per page
startFrom Number 0 true Specifies the start point of the column being sorted
columnName String id true Specifies the name of the column being sorted
sortOrder String desc/asc true Specifies the order in which the column is being sorted
search String test true Specifies the search query
serviceZone String Sarawak false Specifies the service zone of the customer
sector String sector false Specifies the sector of the customer
subSector String sub false Specifies the sub-sector of the customer
type String Hotel false Specifies the type of the customer
category String Silver false Specifies the category of the customer

API Query Example

Method API Call
GET /api/ext/customers?page=&perPage=&startFrom=&columnName=id&sortOrder=desc&search=

Example Response

// Example response - Status 200
{
    "total": 57622,
    "count": 10,
    "data": [
        {
            "id": 80795,
            "name": "Customer for AUT",
            "phone": "0123456789",
            "email": "person@gmmail.com",
            "customerNumber": "C-080795",
            "customerReferenceNo": "RefValue",
            "categoryType": {
                "id": null,
                "name": "tljkgiaelu",
                "code": null,
                "active": null,
                "order": null,
                "isDefault": null,
                "systemValue": null,
                "label": null
            },
            "billingAddress": "StreetValue"
        },
        {
            "id": 80794,
            "name": "CusNameValue",
            "phone": "0123456789",
            "email": "CusEmail@custella.com",
            "customerNumber": "C-080794",
            "customerReferenceNo": "CusReferenceNo",
            "categoryType": {
                "id": null,
                "name": "tljkgiaelu",
                "code": null,
                "active": null,
                "order": null,
                "isDefault": null,
                "systemValue": null,
                "label": null
            },
            "billingAddress": "cusBillingStreetValue"
        },
        {
            "id": 80793,
            "name": "customer15",
            "phone": "0987654321",
            "email": "customer@custella.com",
            "customerNumber": "C-080793",
            "customerReferenceNo": "000015",
            "categoryType": {
                "id": null,
                "name": "Enterprise",
                "code": null,
                "active": null,
                "order": null,
                "isDefault": null,
                "systemValue": null,
                "label": null
            },
            "billingAddress": ""
        },
        {
            "id": 80792,
            "name": "Test for Katalon",
            "phone": "0123456789",
            "email": "CusEmail@custella.com",
            "customerNumber": "C-080792",
            "customerReferenceNo": "CusReferenceNo",
            "categoryType": {
                "id": null,
                "name": "tljkgiaelu",
                "code": null,
                "active": null,
                "order": null,
                "isDefault": null,
                "systemValue": null,
                "label": null
            },
            "billingAddress": "cusBillingStreetValue"
        },
        {
            "id": 80791,
            "name": "CusNameValue",
            "phone": "0123456789",
            "email": "CusEmail@custella.com",
            "customerNumber": "C-080791",
            "customerReferenceNo": "CusReferenceNo",
            "categoryType": {
                "id": null,
                "name": "tljkgiaelu",
                "code": null,
                "active": null,
                "order": null,
                "isDefault": null,
                "systemValue": null,
                "label": null
            },
            "billingAddress": "cusBillingStreetValue"
        },
        {
            "id": 80790,
            "name": "CusNameValue",
            "phone": "0123456789",
            "email": "CusEmail@custella.com",
            "customerNumber": "C-080790",
            "customerReferenceNo": "CusReferenceNo",
            "categoryType": {
                "id": null,
                "name": "tljkgiaelu",
                "code": null,
                "active": null,
                "order": null,
                "isDefault": null,
                "systemValue": null,
                "label": null
            },
            "billingAddress": "cusBillingStreetValue"
        },
        {
            "id": 80789,
            "name": "CusNameValue",
            "phone": "0123456789",
            "email": "CusEmail@custella.com",
            "customerNumber": "C-080789",
            "customerReferenceNo": "CusReferenceNo",
            "categoryType": {
                "id": null,
                "name": "tljkgiaelu",
                "code": null,
                "active": null,
                "order": null,
                "isDefault": null,
                "systemValue": null,
                "label": null
            },
            "billingAddress": "cusBillingStreetValue"
        },
        {
            "id": 80788,
            "name": "CusNameValue",
            "phone": "0123456789",
            "email": "CusEmail@custella.com",
            "customerNumber": "C-080788",
            "customerReferenceNo": "CusReferenceNo",
            "categoryType": {
                "id": null,
                "name": "tljkgiaelu",
                "code": null,
                "active": null,
                "order": null,
                "isDefault": null,
                "systemValue": null,
                "label": null
            },
            "billingAddress": "cusBillingStreetValue"
        },
        {
            "id": 80787,
            "name": "Katalon3",
            "phone": "654321987",
            "email": null,
            "customerNumber": "C-080787",
            "customerReferenceNo": null,
            "categoryType": {
                "id": null,
                "name": "tfjhwmsllw",
                "code": null,
                "active": null,
                "order": null,
                "isDefault": null,
                "systemValue": null,
                "label": null
            },
            "billingAddress": ""
        },
        {
            "id": 80786,
            "name": "Katalon2",
            "phone": "987654123",
            "email": null,
            "customerNumber": "C-080786",
            "customerReferenceNo": null,
            "categoryType": {
                "id": null,
                "name": "tfjhwmsllw",
                "code": null,
                "active": null,
                "order": null,
                "isDefault": null,
                "systemValue": null,
                "label": null
            },
            "billingAddress": ""
        }
    ],
    "recordsTotal": 57622,
    "recordsFiltered": 57622,
    "status": "HAS_DATA"
}